Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class OWLlinkDataPropertySynonymsElementHandler

    java.lang.Object

          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler<R>
              org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler<C>
                  org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler<R>
                      org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkKBResponseElementHandler<DataPropertySynonyms>
                          org.semanticweb.owlapi.owllink.parser.OWLlinkDataPropertySynonymsElementHandler

All Implemented Interfaces:
  OWLlinkElementHandler<DataPropertySynonyms>, OWLlinkResponseElementHandler<DataPropertySynonyms>

    public class OWLlinkDataPropertySynonymsElementHandler

extends AbstractOWLlinkKBResponseElementHandler<DataPropertySynonyms>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 11.12.2009

Field Summary
`protected java.util.Set<OWLDataProperty>` | `props`

Constructor Summary
`OWLlinkDataPropertySynonymsElementHandler(OWLXMLParserHandler handler)`

Method Summary
`DataPropertySynonyms` | `getOWLLinkObject()`
`void` | `handleChild(OWLDataPropertyElementHandler handler)`
`void` | `startElement(java.lang.String name)`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkKBResponseElementHandler
`getRequest`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler
`attribute`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler
`endElement`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler
`getFullIRI, getOWLObject, getParentHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### props

    protected java.util.Set<OWLDataProperty> props

Constructor Detail

### OWLlinkDataPropertySynonymsElementHandler

    public OWLlinkDataPropertySynonymsElementHandler(OWLXMLParserHandler handler)

Method Detail

### startElement

    public void startElement(java.lang.String name)
                      throws OWLXMLParserException

  Overrides:
    `startElement` in class `AbstractOWLlinkKBResponseElementHandler<DataPropertySynonyms>`
  Throws:
    `OWLXMLParserException`

### handleChild

    public void handleChild(OWLDataPropertyElementHandler handler)
                     throws OWLXMLParserException

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<DataPropertySynonyms>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<DataPropertySynonyms>`
  Throws:
    `OWLXMLParserException`

### getOWLLinkObject

    public DataPropertySynonyms getOWLLinkObject()

  Specified by:
    `getOWLLinkObject` in interface `OWLlinkElementHandler<DataPropertySynonyms>`
  Specified by:
    `getOWLLinkObject` in class `AbstractOWLlinkElementHandler<DataPropertySynonyms>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD